Loading...
Searching...
No Matches
svn_ra_callbacks_t Struct Reference

Similar to svn_ra_callbacks2_t, except that the progress notification function and baton is missing. More...

`#include <svn_ra.h>`

## Data Fields

svn_error_t *(* | open_tmp_file )(apr_file_t **fp, void *callback_baton, apr_pool_t *pool)
svn_auth_baton_t * | auth_baton
svn_ra_get_wc_prop_func_t | get_wc_prop
svn_ra_set_wc_prop_func_t | set_wc_prop
svn_ra_push_wc_prop_func_t | push_wc_prop
svn_ra_invalidate_wc_props_func_t | invalidate_wc_props

## Detailed Description

Similar to svn_ra_callbacks2_t, except that the progress notification function and baton is missing.

Deprecated
  Provided for backward compatibility with the 1.2 API.

Definition at line 631 of file svn_ra.h.

## Field Documentation

## auth_baton

svn_auth_baton_t* svn_ra_callbacks_t::auth_baton

Definition at line 637 of file svn_ra.h.

## get_wc_prop

svn_ra_get_wc_prop_func_t svn_ra_callbacks_t::get_wc_prop

Definition at line 639 of file svn_ra.h.

## invalidate_wc_props

svn_ra_invalidate_wc_props_func_t svn_ra_callbacks_t::invalidate_wc_props

Definition at line 645 of file svn_ra.h.

## open_tmp_file

svn_error_t *(* svn_ra_callbacks_t::open_tmp_file) (apr_file_t **fp, void *callback_baton, apr_pool_t *pool)

Definition at line 633 of file svn_ra.h.

## push_wc_prop

svn_ra_push_wc_prop_func_t svn_ra_callbacks_t::push_wc_prop

Definition at line 643 of file svn_ra.h.

## set_wc_prop

svn_ra_set_wc_prop_func_t svn_ra_callbacks_t::set_wc_prop

Definition at line 641 of file svn_ra.h.

The documentation for this struct was generated from the following file:

- svn_ra.h